# Blink MPS2 SCC LEDs example #
This example swicthes ON and OFF the MPS2 SCC LEDs based on the
MPS2 user button pressed. 
The implementation is divided in secure and non-secure code.

The secure code performs the follow functionality:
  - Sets secure and non-secure system configuration.
  - Gets and provides button states.
  - Sleep function.
  - Switchs on/off user LEDs based on user button states.
The DOMAIN_NS flag is set to 0 (-D__DOMAIN_NS=0) to compile the secure code. 

The non-secure code performs the follow functionality:
  - Requests to the secure code:
      - Button states.
      - Sleep for X amount of ms.
  - Switchs on/off the SCC LEDs based on:
      - if User button 0 is pressed, the SCC LEDs blink 
	    state is enabled. 
	  - if User button 1 is pressed, the SCC LEDs blink 
	    state is disabled.
The DOMAIN_NS flag is set to 1 (-D__DOMAIN_NS=1) to compile the non-secure code.

To compile correctly this examples, first, compile the secure code and then the non-secure.
As a result of compile the secure code, the veneers object is generated. Non-secure coode
needs the veneers object to compile correctly.

# Programming the board #
To program the MPS2 board, follow these steps:
 - Copy the dev_s.axf and dev_ns.axf files generated during compilation in <MPS2 device name>/SOFTWARE/
 - Go to <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/ folder
 - Open the <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/images.txt file
 - Update the "TOTALIMAGES: " with "TOTALIMAGES: 2"
 - Add/update the "IMAGExFILE:" with the location and the binary names. You should have something like this:
     ...
     IMAGE0ADDRESS: 0x00000000
     IMAGE0FILE: \SOFTWARE\dev_s.axf
     IMAGE1ADDRESS: 0x00000000
     IMAGE1FILE: \SOFTWARE\dev_ns.axf
     ...
 - Close the <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/images.txt file
 - Eject the <MPS2 device name> unit
 - Reset the board

# Debugging #
Debugging has only been tested with ULINK Pro Debugger. To enable it, please
follow these steps:
 - Right-click on the project name you want to debug and "Set as Active Project".
 - Go to menu "Project" -> "Options for <project_name>".
 - Go to "Debug" tab and select ULINK Pro Debugger.
 - Go to "Settings" and under the "Debug" tab un-tick both "Cache Options",
   "Cache Code" and "Cache Memory".
 - Under "Flash Download" tab, select "Do not Erase" in "Download Function"
   and un-tick "Program", "Verify" and "Reset and Run".
 - On the main project Window start debugging in "Debug" ->
   "Start/Stop Debug Session".
